package threadexamples.producerconsumer;

import java.util.Random;
import java.util.concurrent.BlockingQueue;

class Producer {

    private BlockingQueue<Item> itemQueue;
    private String name;
    private int itemId;

    Producer(String name, BlockingQueue<Item> itemQueue) {
        this.itemQueue = itemQueue;
        this.name = name;
    }

    void produce() throws InterruptedException {
        itemQueue.put(new Item(name, itemId++));
        Thread.sleep(new Random().nextInt(2000));
    }
}
