package fr.gasser.daoexample.model;

public class Student extends Entity {

    private String name;
    private String surname;

    public Student() {
        this(0, "", "");
    }

    public Student(int id, String name, String surname) {
        super(id);
        this.name = name;
        this.surname = surname;
    }


    public String getName() {
        return name;
    }


    public void setName(String name) {
        this.name = name;
    }


    public String getSurname() {
        return surname;
    }


    public void setSurname(String surname) {
        this.surname = surname;
    }

    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", surname='" + surname + '\'' +
                ", id=" + id +
                '}';
    }
}