package fr.gasser.gui.test;

import java.awt.*;

class Model {

    private Font font;
    private Point pos;
    private Paint paint;
    private String text;
    private boolean antialiased = true;

    Model(Font font, Point pos, Paint paint, String text) {
        this.font = font;
        this.pos = pos;
        this.paint = paint;
        this.text = text;
    }

    Font getFont() {
        return font;
    }

    Point getPos() {
        return pos;
    }

    Paint getPaint() {
        return paint;
    }

    String getText() {
        return text;
    }

    boolean isAntialiased() {
        return antialiased;
    }

    void setAntialias(boolean b) {
        this.antialiased = b;
    }

    void setBold(boolean bold) {
        this.font = font.deriveFont(bold ? Font.BOLD : Font.PLAIN);
    }

    void setItalic(boolean italic) {
        this.font = font.deriveFont(italic ? Font.ITALIC : Font.PLAIN);
    }
}
