package fr.gasser.gui.test;

import javax.swing.*;
import java.awt.*;
import java.awt.font.TextAttribute;
import java.util.Hashtable;
import java.util.Map;

public class View extends JPanel {

    private Model model;
    View(Model model) {
        this.model = model;
        setPreferredSize(getPreferredSize());
    }

    @Override
    public Dimension getPreferredSize() {
        return new Dimension(640, 360);
    }

    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g);

        Graphics2D g2d = (Graphics2D) g;
        g2d.setRenderingHint(
                RenderingHints.KEY_TEXT_ANTIALIASING,
                model.isAntialiased() ?
                        RenderingHints.VALUE_TEXT_ANTIALIAS_ON :
                        RenderingHints.VALUE_TEXT_ANTIALIAS_OFF
        );

        g2d.setFont(model.getFont());
        g2d.setPaint(model.getPaint());

        g2d.drawString(model.getText(), model.getPos().x, model.getPos().y);
    }

    public void setModel(Model model) {
        this.model = model;
    }
}
