package fr.gasser.daoexample.dao;

import fr.gasser.daoexample.model.Entity;

import java.util.List;

public interface Dao<T extends Entity> {

    boolean create(T obj);

    T find(int id);

    List<T> findAll();

    boolean update(T obj);

    boolean delete(T obj);
}
