package fr.gasser.reflection;

import java.util.List;

public class GenericsTest<T> {

    private TypeToken<?> typeToken;
    private T data;


    public GenericsTest(T data, TypeToken<?> typeToken) {
        this.data = data;
        this.typeToken = typeToken;
    }

    @Override
    public String toString() {
        return "GenericsTest{" +
                "type=" + typeToken.type +
                ", data=" + data +
                '}';
    }

    public static void main(String[] args) {
        List<Long> longs = List.of(5L);
        GenericsTest<List<Long>> g = new GenericsTest<>(longs, new TypeToken<List<Long>>(){});
        System.out.println(g);
    }
}
