package ovh.gasser.spi;

public class Main {
    public static void main(String[] args) {
        CommandProvider commandProvider = CommandProvider.getInstance();
        // Execute all commands
        commandProvider.getCommands()
                .forEach(command -> System.out.println(command.execute("Hello")));

        // Execute command with specific ID
        String result = commandProvider.getCommand("reverse")
                .map(command -> command.execute("Reverse command"))
                .orElse("Unknown command");
        System.out.println(result);
    }
}
